- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::EncoderParams Class Reference

Parameters for the encoding process. More...

`#include <common.h>`

Inheritance diagram for dirac::EncoderParams:

List of all members.

## Public Member Functions
| EncoderParams ()
| Default constructor.
float | Qf () const
| Get the quality factor.
int | NumL1 () const
| Return the nominal number of L1 frames before the next I frame.
int | L1Sep () const
| Return the separation between L1 frames (and between L1 and I frames).
float | UFactor () const
| Return the amount we're weighting noise in the U component.
float | VFactor () const
| Return the amount we're weighting noise in the V component.
float | CPD () const
| Return the number of cycles per degree at the nominal viewing distance for the raster.
float | ILambda () const
| Return the Lagrangian parameter to be used for I frames.
float | L1Lambda () const
| Return the Lagrangian parameter to be used for L1 frames.
float | L2Lambda () const
| Return the Lagrangian parameter to be used for L2 frames.
float | Lambda (const FrameSort &fsort) const
| Return the Lagrangian parameter to be used for frames.
float | L1MELambda () const
| Return the Lagrangian ME parameter to be used for L1 frames.
float | L2MELambda () const
| Return the Lagrangian ME parameter to be used for L2 frames.
char * | OutputPath () const
| Return the output path to be used for storing diagnositic data.
const EntropyCorrector & | EntropyFactors () const
| Return a reference to the entropy factors.
EntropyCorrector & | EntropyFactors ()
| Return a reference to the entropy factors - we need to be able to change the values of the entropy factors in situ.
const SequenceOutputManager & | BitsOut () const
| Return a reference to the bit output class.
SequenceOutputManager & | BitsOut ()
| Return a reference to the bit output class - we need to output, so non-const.
void | SetQf (const float qfac)
| Set the quality factor.
void | SetNumL1 (const int nl)
| Set the nominal number of L1 frames between I frames.
void | SetL1Sep (const int lsep)
| Set the separation between L1 frames.
void | SetUFactor (const float uf)
| Set the amount to weight noise in the U component.
void | SetVFactor (const float vf)
| Set the amount to weight noise in the V component.
void | SetCPD (const float cpd)
| Set the number of cycles per degree at the nominal viewing distance.
void | SetILambda (const float l)
| Set the Lagrangian parameter to be used for I frames.
void | SetL1Lambda (const float l)
| Set the Lagrangian parameter to be used for L1 frames.
void | SetL2Lambda (const float l)
| Set the Lagrangian parameter to be used for L2 frames.
void | SetLambda (const FrameSort &fsort, const float l)
| Set the Lagrangian parameters to be used for frames.
void | SetL1MELambda (const float l)
| Set the Lagrangian parameter to be used for L1 motion estimation.
void | SetL2MELambda (const float l)
| Set the Lagrangian parameter to be used for L2 motion estimation.
void | SetOutputPath (const char *op)
| Set the output path to be used for diagnostic data.
void | SetEntropyFactors (EntropyCorrector *entcorrect)
| Sets the entropy factors - TBD: set this up in a constructor and pass encoder params around entirely by reference.
void | SetBitsOut (SequenceOutputManager *so)
| Sets the bit output - TBD: set this up in a constructor and pass encoder params around entirely by reference.

## Detailed Description

Parameters for the encoding process.

Parameters for the encoding process, derived from CodecParams.

Definition at line 656 of file common.h.

## Member Function Documentation

int dirac::EncoderParams::NumL1 | ( |  | ) | const`[inline]`

| Return the nominal number of L1 frames before the next I frame. Return the nominal number of L1 frames before the next I frame. Can be overridden by I-frame insertion Definition at line 680 of file common.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/common.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/common.cpp